giraph-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Roman Shaposhnik <ro...@shaposhnik.org>
Subject Re: Compiling Giraph for Hadoop 2.5.x and 2.6.0 -- SASL_PROPS variable error
Date Tue, 16 Dec 2014 02:23:24 GMT
On Mon, Dec 15, 2014 at 3:36 AM, Philipp Nolte <ptn@daslaboratorium.de> wrote:
> Off-topic: Its a bit frustrating. I really had my hopes up on Giraph 1.1.0.
> YARN has been the default for hadoop for quite a while now. Lets just hope t
> hat Giraph manages to catch up soon or people will be looking at other
> solutions.

I don't think this is fair. YARN and MR are totally orthogonal technologies.
MR is a framework that runs on top of YARN and I would be *really*
surprised if your YARN cluster for some reason prevents you from
using MR.

As for YARN superseding MR -- well, that time may come but it hasn't
come yet. There's plenty of frameworks still using MR and Giraph
is one of them. In fact, to Giraph, there's not even much of a benefit
that YARN can provide (given current implementation at least).

Finally, I understand that there's a PR machine saying YARN YARN YARN
YARN. That still doesn't change the fact that MR is the biggest user
of YARN and something that is available of every single YARN cluster.

In short, a direct use of YARN by Giraph is a nice feature, but in no
way is it a required functionality for supporting Hadoop 2.x+ clusters.
Personally, I run all of my Giraph jobs on 2.5 via MR and have a lot of
success doing it.

Thanks,
Roman.

Mime
View raw message